Update Geo Block
Update geo block of record stream
curl -X POST "https://api.5centscdn.com/v2/streams/record/1001/geoblock" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "Y",
"policy": "Y",
"list": [
"AS"
],
"ips": ""
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/record/1001/geoblock"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "Y",
"policy": "Y",
"list": [
"AS"
],
"ips": ""
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/record/1001/geoblock", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "Y",
"policy": "Y",
"list": [
"AS"
],
"ips": ""
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "Y",
"policy": "Y",
"list": [
"AS"
],
"ips": ""
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/record/1001/geoblock", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/record/1001/geoblock')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "Y",
"policy": "Y",
"list": [
"AS"
],
"ips": ""
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Updated",
"stream": {
"monitoring_id": null,
"type": "record",
"id": 72256,
"serviceid": 103,
"name": "james_rec/tae",
"codec": "h264",
"ingests": [
[
"RTMP"
],
[
"RTMP"
]
],
"protocols": [
[
"HLS"
],
[
"HLS"
]
],
"parentid": 72255,
"server": "1",
"backup": "",
"dedicatedLTC": "0",
"hasAdvancedFeatures": "0",
"monitoring_triggers": null,
"draft": "0",
"disabled": "0",
"created_at": "2026-05-01 04:26:11",
"updated_at": "2026-05-01 05:56:57",
"lastseen_at": false,
"deleted": null,
"ingestsLock": 0,
"protocolsLock": 0,
"status": "Deploying",
"has": {
"rtmp": 0,
"rtsp": 0,
"hls": 1,
"dash": 0,
"rtmpauth": 0
},
"parts": {
"pp": "james_rec",
"sn": "tae",
"full": "james_rectae"
},
"parent": {
"id": 72255,
"name": "james/tae",
"codec": "h264",
"stype": "abr",
"rtmpauth": "N",
"type": "stream"
},
"restream": {},
"playbackurls": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"rtsp": "rtsp://rtsp.5centscdn.com:554/",
"hlsManifest": "playlist_dvr_range-<EPOCH_FROM>-<LENGTH>.m3u8",
"dashManifest": "manifest_dvr_range-<EPOCH_FROM>-<LENGTH>.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/"
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/"
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "4vwupwijrl3frw9z",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=james_rec/tae",
"base": "https://cdn.example.com/player/hls/skin1/4vwupwijrl3frw9z/",
"hls": "https://cdn.example.com/player/hls/skin1/4vwupwijrl3frw9z/{base64_encoded_url}?showcv=true&title=james_rec/tae",
"dash": "https://cdn.example.com/player/dash/skin1/4vwupwijrl3frw9z/{base64_encoded_url}?showcv=true&title=james_rec/tae"
}
},
"tokenized": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"rtsp": "rtsp://rtsp.5centscdn.com:554/",
"hlsManifest": "playlist_dvr_range-<EPOCH_FROM>-<LENGTH>.m3u8",
"dashManifest": "manifest_dvr_range-<EPOCH_FROM>-<LENGTH>.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"hostname": "cdn.example.com",
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://cdn.example.com/flowplayer/dash/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://cdn.example.com/videojs/dash/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "4vwupwijrl3frw9z",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=james_rec/tae",
"base": "https://cdn.example.com/player/hls/skin1/4vwupwijrl3frw9z/",
"hls": "https://cdn.example.com/player/hls/skin1/4vwupwijrl3frw9z/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=james_rec/tae",
"dash": "https://cdn.example.com/player/dash/skin1/4vwupwijrl3frw9z/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=james_rec/tae"
}
},
"path": {
"hls": "/james_rec/tae/playlist_dvr_range-<EPOCH_FROM>-<LENGTH>.m3u8",
"dash": "/james_rec/tae/manifest_dvr_range-<EPOCH_FROM>-<LENGTH>.mpd"
},
"token": {
"hls": "md5=scyQyFwc2jdyo9VgKBcZ8g&path=%2Fjames_rec%2Ftae&expires=1777622409",
"dash": "md5=scyQyFwc2jdyo9VgKBcZ8g&path=%2Fjames_rec%2Ftae&expires=1777622409"
}
}
},
"platformsCount": 0,
"ssl_enabled": true,
"hash": "tae",
"securetoken": {
"enabled": "Y",
"policy": "D",
"keyip": "N",
"list": "136f096b5deb7105",
"timeout": 7392,
"session": "0",
"ips": "",
"dirs": null,
"active": "Y"
},
"dvr_enabled": "Y",
"autoexport": {
"disabled": 1
},
"domainlock": {
"enabled": "Y",
"policy": "Y",
"list": "example.com,docs.example.com",
"ips": "",
"noreferer": "Y",
"active": "Y"
},
"geoblock": {
"enabled": "Y",
"policy": "Y",
"list": [
"AS"
],
"ips": "",
"active": "Y"
},
"ipaccess": {
"enabled": "Y",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "Y",
"policy": "Y",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"platforms": [],
"messages": {},
"adInsertion": null
}
}
/streams/record/{streamid}/geoblockTarget server for requests. Edit to use your own host.
API key (sent in header)
Stream ID
The media type of the request body
Enable or disable this feature. Y means enabled, N means disabled.
Access policy for geoblock. Y means block listed countries; N means allow listed countries.
Comma-separated list of allowed or blocked entries.
Comma-separated IP addresses for access control. Leave empty for none.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Access policy for geoblock. Y means block listed countries; N means allow listed countries.
YResponses
Status of the API response.
Human-readable message describing the result.
Stream object containing configuration and status details.